package com.ym.mec.biz.dal.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.entity.PlatformServe;
import com.ym.mec.biz.dal.vo.PlatformServeInfoVo;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;

public interface PlatformServeDao extends BaseMapper<PlatformServe> {

    PlatformServe selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PlatformServe record);

    int insert(PlatformServe record);

    <T> IPage<T> queryPage(Page<T> page, @Param("search") String search);

    PlatformServeInfoVo queryInfo(Integer id);
}