package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.entity.SysMusicScoreCategories;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysMusicScoreCategoriesDao extends BaseDAO<Integer, SysMusicScoreCategories> {

    List<SysMusicScoreCategories> findByParentId(@Param("parentId") Integer parentId,@Param("organId") String organId, @Param("enable") Boolean enable);

    void batchInsert(@Param("categoriesList") List<SysMusicScoreCategories> sysMusicScoreCategoriesList, @Param("organId") String organId, @Param("enable") Boolean enable);

    void batchDel(@Param("categoriesIds") String categoriesIds);

    String findByCategoriesIds(@Param("categoriesIds") String categoriesIds);

    void batchUpdate(@Param("categories") List<SysMusicScoreCategories> updateCategories, @Param("organId") String organId, @Param("enable") Boolean enable);

    void enable(@Param("categoriesIds") String categoriesIds, @Param("enable") boolean enable);
}