package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * cloud_room_flow_record
 * @author 
 */
@ApiModel(value="机构的云教室流量包购买记录表")
public class CloudRoomFlowRecord implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    /**
     * 机构产品设置表id
     */
    @ApiModelProperty(value="机构产品设置表id")
    private Integer tenantId;

    /**
     * 云教室配置对应的id
     */
    @ApiModelProperty(value="云教室配置对应的id")
    private Integer cloudRoomConfigId;

    /**
     * 购买的分钟
     */
    @ApiModelProperty(value="购买的分钟")
    private Integer minute;

    /**
     * 合同价
     */
    @ApiModelProperty(value="合同价")
    private BigDecimal contractPrice;

    /**
     * 单价
     */
    @ApiModelProperty(value="单价")
    private BigDecimal price;

    /**
     * 创建人
     */
    @ApiModelProperty(value="创建人")
    private Integer createdBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private Date createdTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getCloudRoomConfigId() {
        return cloudRoomConfigId;
    }

    public void setCloudRoomConfigId(Integer cloudRoomConfigId) {
        this.cloudRoomConfigId = cloudRoomConfigId;
    }

    public Integer getMinute() {
        return minute;
    }

    public void setMinute(Integer minute) {
        this.minute = minute;
    }

    public BigDecimal getContractPrice() {
        return contractPrice;
    }

    public void setContractPrice(BigDecimal contractPrice) {
        this.contractPrice = contractPrice;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
}