package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * platform_serve_detail
 * @author 
 */
@ApiModel(value="服务管理明细")
public class PlatformServeDetail implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    /**
     * 服务管理表id
     */
    @ApiModelProperty(value="服务管理表id")
    private Integer serveId;

    /**
     * 付费模式 月/年
     */
    @ApiModelProperty(value="付费模式 月/年")
    private String mode;

    /**
     * 学员上限
     */
    @ApiModelProperty(value="学员上限")
    private Integer studentUpLimit;

    /**
     * 服务原价
     */
    @ApiModelProperty(value="服务原价")
    private BigDecimal originalPrice;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getServeId() {
        return serveId;
    }

    public void setServeId(Integer serveId) {
        this.serveId = serveId;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public Integer getStudentUpLimit() {
        return studentUpLimit;
    }

    public void setStudentUpLimit(Integer studentUpLimit) {
        this.studentUpLimit = studentUpLimit;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }
}