package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.ActivityUserMapperDao;
import com.ym.mec.biz.dal.entity.ActivityUserMapper;
import com.ym.mec.biz.service.ActivityUserMapperService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ActivityUserMapperServiceImpl extends BaseServiceImpl<Integer, ActivityUserMapper>  implements ActivityUserMapperService {
	
	@Autowired
	private ActivityUserMapperDao activityUserMapperDao;

	@Override
	public BaseDAO<Integer, ActivityUserMapper> getDAO() {
		return activityUserMapperDao;
	}

    @Override
    public List<ActivityUserMapper> findByStudentIdList(Integer activityId, String studentIds, String type) {
        return activityUserMapperDao.findByStudentIdList(activityId,studentIds,type);
    }

	@Override
	public int use(String activityUserMapperIds, String studentIds, String type,Long groupId) {
		return activityUserMapperDao.use(activityUserMapperIds,studentIds,type,groupId);
	}

	@Override
	public ActivityUserMapper findByStudentId(Long groupId, Integer studentId) {
		return activityUserMapperDao.findByStudentId(groupId,studentId);
	}

	@Override
	public int countActivityBuyNum(Integer activityId, Integer userId) {
		return activityUserMapperDao.countActivityBuyNum(activityId,userId);
	}

    @Override
    public void batchInsert(List<ActivityUserMapper> activityUserMappers) {
		activityUserMapperDao.batchInsert(activityUserMappers);
    }

	@Override
	public ActivityUserMapper findVipUserMapper(Long groupId, String groupType,Integer studentId) {
		return activityUserMapperDao.findVipUserMapper(groupId,groupType,studentId);
	}
}