package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * cloud_room_flow_info
 *
 * @author
 */
@ApiModel(value = "云教室流量包明细表")
public class CloudRoomFlowInfo implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    /**
     * 机构id
     */
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    /**
     * 总分钟数
     */
    @ApiModelProperty(value = "总分钟数")
    private Integer totalMinute;

    /**
     * 已用分钟数
     */
    @ApiModelProperty(value = "已用分钟数")
    private Integer useMinute;

    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private Integer updatedBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getTotalMinute() {
        return totalMinute;
    }

    public void setTotalMinute(Integer totalMinute) {
        this.totalMinute = totalMinute;
    }

    public Integer getUseMinute() {
        return useMinute;
    }

    public void setUseMinute(Integer useMinute) {
        this.useMinute = useMinute;
    }

    public Integer getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}